Bug 208538 - Logrotate missing dateext, maxage
Summary: Logrotate missing dateext, maxage
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: logrotate   
(Show other bugs)
Version: 4.3
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tomas Smetana
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-29 09:30 UTC by Nils Jeppe
Modified: 2015-01-08 00:14 UTC (History)
3 users (show)

Fixed In Version: RHBA-2008-0703
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 19:51:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0703 normal SHIPPED_LIVE logrotate bug fix and enhancement update 2008-07-23 16:31:04 UTC

Description Nils Jeppe 2006-09-29 09:30:10 UTC
Description of problem:

RedHat logrotate does not handle maxage and especially dateext configuration
parameters. This is causing some problems; for once it's harder to script. But
much more serious is that every rotation cycle the log files change name. This
makes an incremental backup of rotated logfiles impossible. Finally, the missing
parameters cause cross-distribution compatibility problems with standard
logrotate configurations.

Comment 3 David Anderson 2007-03-16 07:33:50 UTC
I would like to see this in RHEL4 too, for the same reasons (particularly 
incremental backups).

Comment 4 carle_menard 2007-05-18 17:33:38 UTC
Same here.  Really can`t figure out why this option was removed as it`s a
cruscial part of logrotate.  Why remove features?

Comment 5 Philipp Schwarzhuber 2007-05-25 10:51:05 UTC
We are experiencing the same and can confirm the report.

Comment 11 errata-xmlrpc 2008-07-24 19:51:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0703.html


Note You need to log in before you can comment on or make changes to this bug.